<template>
  <v-container fluid class="container">
    <v-row no-gutters>
      <v-col cols="12">
        <v-row>
          <v-col cols="12" md="6" class="image-section">
            <v-img
              src="https://cdn.builder.io/api/v1/image/assets/TEMP/25f14e6c2fe02a8131e38a0b8a81794500699e6b9167c653ab11decc046bf46b?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9"
              alt=""
              class="full-image"
              contain
              position="center center"
            >
              <v-sheet class="image-caption">
                Hey, you can take this
                <br />
                screen UI, CSS, Swift and
                <br />
                Android code for free
              </v-sheet>
            </v-img>
          </v-col>
          <v-col cols="12" md="6" class="form-section">
            <v-sheet class="form-wrapper">
              <v-typography variant="h4">Bluebaycreaters</v-typography>
              <v-typography variant="h2" class="form-heading">
                Register your account
              </v-typography>
              <v-form class="registration-form">
                <v-text-field
                  v-model="email"
                  label="Email"
                  placeholder="Please enter your email"
                  outlined
                ></v-text-field>
                <v-text-field
                  v-model="password"
                  label="Password"
                  placeholder="Please enter your password"
                  outlined
                  type="password"
                ></v-text-field>
                <v-text-field
                  v-model="confirmPassword"
                  label="Confirm Password"
                  placeholder="Confirm your password"
                  outlined
                  type="password"
                ></v-text-field>
                <v-row class="form-footer">
                  <v-col>
                    <v-typography variant="body1" class="already-registered">
                      Already Registered?
                    </v-typography>
                  </v-col>
                  <v-col>
                    <v-btn class="submit-button" @click="submitForm">
                      Submit
                    </v-btn>
                  </v-col>
                </v-row>
                <v-typography variant="body1" class="form-note">
                  Hey!! This design is absolutely free for you.
                </v-typography>
              </v-form>
            </v-sheet>
          </v-col>
        </v-row>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  data() {
    return {
      email: "",
      password: "",
      confirmPassword: "",
    };
  },
  methods: {
    submitForm() {
      // form submission logic here
    },
  },
};
</script>

<style scoped>
.container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 1px 0;
}
.white-background {
  background-color: #fffdfd;
  width: 100%;
  padding: 1px 0;
}
@media (max-width: 991px) {
  .white-background {
    max-width: 100%;
  }
}
.content-wrapper {
  gap: 20px;
  display: flex;
}
@media (max-width: 991px) {
  .content-wrapper {
    flex-direction: column;
    align-items: stretch;
    gap: 0;
  }
}
.column {
  display: flex;
  flex-direction: column;
  line-height: normal;
  width: 50%;
}
@media (max-width: 991px) {
  .column {
    width: 100%;
  }
}
.image-section {
  margin-left: 0;
}
.image-container {
  display: flex;
  flex-direction: column;
  position: relative;
  min-height: 1080px;
  font-size: 40px;
  color: #fffdfd;
  font-weight: 700;
  text-align: center;
  justify-content: center;
  overflow: hidden;
}
@media (max-width: 991px) {
  .image-container {
    max-width: 100%;
    margin-top: 40px;
  }
}
.full-image {
  position: absolute;
  inset: 0;
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
}
.image-caption {
  position: relative;
  font-family: Poppins, sans-serif;
  background-color: rgba(52, 133, 255, 0.3);
  align-items: center;
  justify-content: center;
  padding: 483px 60px 356px;
}
@media (max-width: 991px) {
  .image-caption {
    max-width: 100%;
    padding: 40px 20px;
  }
}
.form-section {
  margin-left: 20px;
}
.form-wrapper {
  display: flex;
  flex-direction: column;
  align-self: stretch;
  align-items: end;
  margin: auto 0;
  padding: 0 20px;
}
@media (max-width: 991px) {
  .form-wrapper {
    max-width: 100%;
    margin-top: 40px;
  }
}
.form-title {
  color: #000;
  font: 400 30px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .form-title {
    margin-right: 10px;
  }
}
.form-heading {
  color: #3e4772;
  align-self: stretch;
  margin-top: 44px;
  font: 700 60px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .form-heading {
    max-width: 100%;
    margin-top: 40px;
    font-size: 40px;
  }
}
.form-label {
  color: #000;
  font: 400 30px Poppins, sans-serif;
  display: block;
  margin-top: 29px;
}
@media (max-width: 991px) {
  .form-label {
    margin-right: 10px;
  }
}
.form-input {
  border-radius: 30px;
  background-color: #f1f1f1;
  align-self: stretch;
  align-items: end;
  color: rgba(0, 0, 0, 0.2);
  justify-content: center;
  padding: 29px 60px;
  font: 400 30px Poppins, sans-serif;
  width: 100%;
  margin-top: 20px;
}
@media (max-width: 991px) {
  .form-input {
    max-width: 100%;
    padding: 0 20px;
  }
}
.form-footer {
  display: flex;
  margin-top: 66px;
  gap: 20px;
}
@media (max-width: 991px) {
  .form-footer {
    flex-wrap: wrap;
    margin: 40px 10px 0 0;
  }
}
.already-registered {
  color: #494f7a;
  flex-grow: 1;
  flex-basis: auto;
  margin: auto 0;
  font: 400 25px Poppins, sans-serif;
}
.submit-button {
  border-radius: 30px;
  background-color: #2e375d;
  color: #fff;
  white-space: nowrap;
  justify-content: center;
  flex-grow: 1;
  width: fit-content;
  padding: 24px 60px;
  font: 700 35px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .submit-button {
    white-space: initial;
    padding: 0 24px 0 20px;
  }
}
.form-note {
  color: rgba(0, 0, 0, 0.5);
  margin-top: 32px;
  font: 400 20px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .form-note {
    max-width: 100%;
  }
}
</style>